summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Hunter Sezen2016-08-01 13:11:08 +0200
committer David Spencer2016-08-05 19:10:41 +0200
commit16240aede3902a858b39167ba977a33c9f770b2b (patch)
tree3e38f2c79e49c0f79d24089f911cdc91c9bb9207 /games
parent2503630b336ad6c78484ed0f2953ec5efe072e59 (diff)
downloadslackbuilds-16240aede3902a858b39167ba977a33c9f770b2b.tar.gz
games/libretro-reicast: Added (Port of reicast to libretro).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/libretro-reicast/README10
-rw-r--r--games/libretro-reicast/libretro-reicast.SlackBuild95
-rw-r--r--games/libretro-reicast/libretro-reicast.info10
-rw-r--r--games/libretro-reicast/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/games/libretro-reicast/README b/games/libretro-reicast/README
new file mode 100644
index 0000000000..cede87860e
--- /dev/null
+++ b/games/libretro-reicast/README
@@ -0,0 +1,10 @@
+Reicast is an Sega Dreamcast video game system emulator that can be used as a
+libretro core.
+
+The Dreamcast BIOS files are required to run Reicast.
+
+* dc/dc_boot.bin
+* dc/dc_flash.bin
+
+To build the debugging symbols use:
+ DEBUG=1 ./libretro-reicast.SlackBuild
diff --git a/games/libretro-reicast/libretro-reicast.SlackBuild b/games/libretro-reicast/libretro-reicast.SlackBuild
new file mode 100644
index 0000000000..e97f1c4ac1
--- /dev/null
+++ b/games/libretro-reicast/libretro-reicast.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for libretro-reicast
+
+# Copyright 2016 Hunter Sezen
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libretro-reicast
+LIBNAM=reicast_libretro
+VERSION=${VERSION:-2016.07.14_a7ff132}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# requires patching the Makefile to properly use
+# the default CFLAGS and CXXFLAGS are probably fine
+if [ "$ARCH" = "i586" ]; then
+ echo "$ARCH is not supported."
+ exit 1
+elif [ "$ARCH" = "i686" ]; then
+ echo "$ARCH is not supported."
+ exit 1
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DEBUG=${DEBUG:-0}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make DEBUG=$DEBUG
+
+install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+
+if [ "${DEBUG:-0}" = "0" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/libretro-reicast/libretro-reicast.info b/games/libretro-reicast/libretro-reicast.info
new file mode 100644
index 0000000000..44425e8915
--- /dev/null
+++ b/games/libretro-reicast/libretro-reicast.info
@@ -0,0 +1,10 @@
+PRGNAM="libretro-reicast"
+VERSION="2016.07.14_a7ff132"
+HOMEPAGE="http://www.libretro.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/libretro-reicast-2016.07.14_a7ff132.tar.xz"
+MD5SUM_x86_64="fec6e2e20ba9b298c9a66088b427ed0b"
+REQUIRES="RetroArch"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/games/libretro-reicast/slack-desc b/games/libretro-reicast/slack-desc
new file mode 100644
index 0000000000..5a21480688
--- /dev/null
+++ b/games/libretro-reicast/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libretro-reicast: libretro-reicast (Port of reicast to libretro)
+libretro-reicast:
+libretro-reicast: reicast is a multi-platform Sega Dreamcast emulator.
+libretro-reicast:
+libretro-reicast: Homepage: http://www.libretro.com/
+libretro-reicast:
+libretro-reicast:
+libretro-reicast:
+libretro-reicast:
+libretro-reicast:
+libretro-reicast: